Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000908Core InformActionspublic2012-04-18 11:482014-05-07 07:34
Reporterherrdu 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000908: Restrictions on action variables not accepted when declaring kinds of actions
DescriptionThe Going [direction] from [somewhere] construct does not appear to be usable in defining kinds of action.
Minimal Source Text To Reproduce
Example is a room.  A room called Quandry is west of example.

Going west from Example is leaving town. 
Additional InformationThe same problem exists with Going east to Quandry. Going west in Example does not produce the error.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0001659)
NYKevin (reporter)
2012-04-19 17:25

There is some discussion at http://www.intfiction.org/forum/viewtopic.php?f=7&t=4924 [^]
(0002318)
graham (administrator)
2014-01-19 03:55

A timing issue (Inform was reading this sentence before defining the optional clauses attached to the "going" action, such as "from R"); fixed.

- Issue History
Date Modified Username Field Change
2012-04-18 11:48 herrdu New Issue
2012-04-19 17:25 NYKevin Note Added: 0001659
2012-04-25 14:56 EmacsUser Severity mild => serious
2012-04-25 14:56 EmacsUser Reproducibility have not tried => always
2012-04-25 14:56 EmacsUser Summary Using kinds of actions with going to/from => Restrictions on action variables not accepted when declaring kinds of actions
2012-08-05 09:55 EmacsUser Status new => confirmed
2014-01-19 03:55 graham Note Added: 0002318
2014-01-19 03:55 graham Status confirmed => resolved
2014-01-19 03:55 graham Resolution open => fixed
2014-01-19 03:55 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker